//*--------------------------------------------------------------------------------------
//*      ATMEL Microcontroller Software Support  -  ROUSSET  -
//*--------------------------------------------------------------------------------------
//* The software is delivered "AS IS" without warranty or condition of any
//* kind, either express, implied or statutory. This includes without
//* limitation any warranty or condition with respect to merchantability or
//* fitness for any particular purpose, or against the infringements of
//* intellectual property rights of others.
//*--------------------------------------------------------------------------------------
//* File Name           : USB HID example
//* Object              :
//* Translator          :
//* 1.0 05/Oct/04 ODi	: CReation
//* 1.1 04/Nov/04 JPP	: Add led1 On at power supply
//*--------------------------------------------------------------------------------------

#include "board.h"



unsigned long i = 0;

#define   BIT18        0x00040000
#define   BIT17        0x00020000

//it's a simple delay
void Delay (unsigned long a) { while (--a!=0); }


//*--------------------------------------------------------------------------------------
//* Function Name       : main
//* Object              :
//*--------------------------------------------------------------------------------------
int main ( void )
{
 
        //MAIN POINTER
      AT91PS_PIO    p_pPio   = AT91C_BASE_PIOA;
      AT91PS_PMC    p_pPMC   = AT91C_BASE_PMC;
    
      AT91PS_PIO    m_pPio   = AT91C_BASE_PIOA;
      p_pPMC->PMC_PCER = 1 << AT91C_ID_PIOA;

      AT91PS_SYSC pSysc=AT91C_BASE_SYSC;
      pSysc->SYSC_RSTC_RMR |= 0xA5000001;// enable user reset 
      //LED 
      //configure the PIO Lines corresponding to LED
      p_pPio->PIO_PER |= BIT18 | BIT17 ;    //Enable PA8
      p_pPio->PIO_OER |= BIT18 | BIT17 ;    //Configure in Output
      p_pPio->PIO_SODR |= BIT18 | BIT17;   //set reg to 1

    while (1) {
    m_pPio->PIO_CODR = BIT18;  //set reg to 0 (led2 on)
    m_pPio->PIO_SODR = BIT17;  //set reg to 1 (led1 off)
    Delay(800000);             //simple delay
    m_pPio->PIO_CODR = BIT17;  //set reg to 0 (led1 on)
    m_pPio->PIO_SODR = BIT18;  //set reg to 1 (led2 off)
    Delay(800000);             //simple delay
          }

}


